Bug 1631299 - [RFE] bootstrap.py should support python 3
Summary: [RFE] bootstrap.py should support python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1689764 (view as bug list)
Depends On: 1631292 1715212
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-20 10:58 UTC by Rich Jerrido
Modified: 2019-10-07 17:17 UTC (History)
7 users (show)

Fixed In Version: katello-client-bootstrap-1.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 266 None None None 2018-09-24 09:05:40 UTC
Github Katello katello-client-bootstrap pull 267 None None None 2018-09-24 09:06:06 UTC
Github Katello katello-client-bootstrap pull 268 None None None 2018-09-24 09:06:32 UTC
Github Katello katello-client-bootstrap pull 269 None None None 2018-09-24 09:06:48 UTC
Github Katello katello-client-bootstrap pull 270 None None None 2018-09-24 09:07:06 UTC
Github Katello katello-client-bootstrap pull 271 None None None 2018-09-24 09:07:16 UTC
Github Katello katello-client-bootstrap pull 272 None None None 2018-09-24 09:07:29 UTC
Github Katello katello-client-bootstrap pull 273 None None None 2018-09-24 09:07:59 UTC
Github Katello katello-client-bootstrap pull 274 None None None 2018-09-24 09:09:00 UTC
Github Katello katello-client-bootstrap pull 278 None None None 2018-12-18 10:07:45 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:10 UTC

Description Rich Jerrido 2018-09-20 10:58:50 UTC
With the relative impending EOL of the Python 2.x family, bootstrap.py should support Python 3.

Comment 4 Evgeni Golov 2019-01-24 13:34:54 UTC
merged, so POST

Comment 10 Evgeni Golov 2019-03-21 13:57:55 UTC
*** Bug 1689764 has been marked as a duplicate of this bug. ***

Comment 16 errata-xmlrpc 2019-05-14 12:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.